aboutsummaryrefslogtreecommitdiff
path: root/auth/donmai.zsh
diff options
context:
space:
mode:
Diffstat (limited to 'auth/donmai.zsh')
-rw-r--r--auth/donmai.zsh6
1 files changed, 5 insertions, 1 deletions
diff --git a/auth/donmai.zsh b/auth/donmai.zsh
index 8bc04a8..5be8255 100644
--- a/auth/donmai.zsh
+++ b/auth/donmai.zsh
@@ -5,10 +5,14 @@
ib_auth_file="${cache}/${update_id}_profile.json"
dump+=(${ib_auth_file##*/})
-if ! curl --max-time ${external_timeout} \
+if ! curl --connect-timeout ${connrefused_timeout} \
+ --max-time ${external_timeout} \
--output "${ib_auth_file}" \
--proxy "${external_proxy}" \
--request GET \
+ --retry 1 \
+ --retry-connrefused \
+ --retry-max-time $((external_timeout - connrefused_timeout)) \
--silent \
--user "${ib_login}:${ib_key}" \
--user-agent "${useragent}" \